Skip to main content
`Ctrl`+`K`

# pandas.core.resample.Resampler.std

final Resampler.std(ddof=1, numeric_only=False, *args, **kwargs)

  Compute standard deviation of groups, excluding missing values.

  Parameters:
    ddof int, default 1

      Degrees of freedom.

    numeric_only bool, default False

      Include only float, int or boolean data.

      Added in version 1.5.0.

      Changed in version 2.0.0: numeric_only now defaults to `False`.

  Returns:
    DataFrame or Series

      Standard deviation of values within each group.

  Examples

      >>> ser = pd.Series([1, 3, 2, 4, 3, 8],
      ...                 index=pd.DatetimeIndex(['2023-01-01',
      ...                                         '2023-01-10',
      ...                                         '2023-01-15',
      ...                                         '2023-02-01',
      ...                                         '2023-02-10',
      ...                                         '2023-02-15']))
      >>> ser.resample('MS').std()
      2023-01-01    1.000000
      2023-02-01    2.645751
      Freq: MS, dtype: float64